# $Revision: 1.43 $, $Date: 2007/05/19 22:23:55 $
%define	suspend_cpu	%(echo %{_target_cpu} | sed -e s/i.86/x86/ -e s/ppc.*/ppc/ -e s/x86_64/x86/ -e s/athlon/x86/)
#
%bcond_with	splashy
#
%define	snap	20070514
Summary:	Suspend to RAM/Disk/Both
Summary(de.UTF-8):	Einfrieren in den Systemspeicher
Summary(pl.UTF-8):	Zamrażanie w RAM/Dysku/Jedno i drugie
Name:		suspend
Version:	0.6
Release:	0.%{snap}.3
License:	GPL v2
Group:		Applications/System
Source0:	%{name}-%{snap}.tar.gz
# Source0-md5:	57b654549d064e0fa5c62e8201bad3b3
Patch0:		%{name}-sys-file-range-write.patch
URL:		http://sourceforge.net/projects/suspend
BuildRequires:	glibc-static
BuildRequires:	libgcrypt-static
BuildRequires:	libgpg-error-static
BuildRequires:	liblzf-static
%ifarch %{ix86} %{x8664}
BuildRequires:	libx86-static
%endif
BuildRequires:	pciutils-devel
BuildRequires:	sed >= 4.0
%{?with_splashy:BuildRequires:	splashy-devel}
BuildRequires:	zlib-devel
ExclusiveArch:	%{ix86} %{x8664} ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Userland parts needed for suspend-to-disk and suspend-to-RAM on Linux.

%description -l de.UTF-8
Elemente der Benutzerumgebung zum einfrieren in den Systemspeicher
oder auf die Festplatte.

%description -l pl.UTF-8
Elementy przestrzeni użytkownika potrzebne do zamrażania stanu systemu
na dysku lub w pamięci RAM pod Linuksem.

%prep
%setup -q -n %{name}
%patch0 -p1

ln -sf s2ram-x86.h s2ram-amd64.h

%build
%{__make} \
	CONFIG_COMPRESS=yes \
	CONFIG_ENCRYPT=yes \
	%{?with_splashy:CONFIG_SPLASHY=yes} \
	CC="%{__cc}" \
	ARCH="%{suspend_cpu}" \
	CFLAGS="%{rpmcflags}" \
	LD_FLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}}

install resume s2both s2disk s2ram suspend-keygen swap-offset $RPM_BUILD_ROOT%{_sbindir}
install conf/suspend.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HOWTO README* TODO
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/suspend.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: suspend.spec,v $
Revision 1.43  2007/05/19 22:23:55  blues
- rel.3 - amd64 arch compatibility fix

Revision 1.42  2007/05/15 04:12:08  shadzik
- rel 0.%{snap}.2 (for rebuild)

Revision 1.41  2007/05/15 04:11:21  shadzik
- bad build fix, but works

Revision 1.40  2007/05/14 21:08:43  arekm
- fix summary

Revision 1.39  2007/05/14 20:34:07  arekm
- libx86-static not needed on ppc

Revision 1.38  2007/05/14 20:30:23  arekm
- up to 20070514 (ppc support)

Revision 1.37  2007/03/16 16:18:51  arekm
- up to 20070316

Revision 1.36  2007/03/05 08:15:22  arekm
- md5

Revision 1.35  2007/03/05 08:15:06  arekm
- up to 20070305

Revision 1.34  2007/03/04 12:53:56  wolf
- add sys-file-range-write patch

Revision 1.33  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.31  2007/02/05 09:01:36  arekm
- up to 20070205

Revision 1.30  2007/01/16 08:24:01  arekm
- up to 20070116 snap

Revision 1.29  2006/11/13 08:28:36  arekm
- more files

Revision 1.28  2006/11/13 08:26:25  arekm
- up to 0.5

Revision 1.27  2006/11/06 01:08:53  undefine
- BR: zlib-devel

Revision 1.26  2006/09/28 10:43:11  arekm
- md5

Revision 1.25  2006/09/28 10:28:53  arekm
- up to 20060807 snap

Revision 1.24  2006/09/15 19:24:53  glen
- s2ram and s2both need symbols from zlib; rel 2

Revision 1.23  2006/08/07 19:05:14  arekm
- new snap from 20060807

Revision 1.22  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.21  2006/06/08 21:12:39  arekm
- up to 20060608

Revision 1.20  2006/04/29 01:23:37  glen
- standard _snap for adapter

Revision 1.19  2006/04/28 19:41:30  shadzik
- reverted my changes, but german description
- arekm said they were evil

Revision 1.18  2006/04/28 18:43:35  shadzik
- added patch for dynamical linking
- apropriate BR changes from -static to -devel for the above

Revision 1.17  2006/04/09 18:57:34  arekm
- new snap - 20060409

Revision 1.16  2006/04/09 13:02:19  arekm
- rel .2

Revision 1.15  2006/04/09 12:45:09  arekm
- include config file

Revision 1.14  2006/03/27 08:27:22  arekm
- patch obsolete now

Revision 1.13  2006/03/27 08:26:59  arekm
- use correct cc

Revision 1.12  2006/03/27 08:22:13  arekm
- up to 20060327

Revision 1.11  2006/03/25 16:16:44  arekm
- set ARCH=x86_64 for amd64

Revision 1.10  2006/03/25 16:13:46  arekm
- x86 only

Revision 1.9  2006/03/25 14:11:28  arekm
- more whitelist

Revision 1.8  2006/03/25 13:58:47  arekm
- nicer hack

Revision 1.7  2006/03/25 13:56:18  arekm
- updated to 20060325 snap; added PAGE_SIZE hack.

Revision 1.6  2006/02/25 19:27:35  qboosh
- pl

Revision 1.5  2006/02/22 23:12:20  glen
- BR: sed

Revision 1.4  2006/02/22 23:11:31  arekm
- BR glibc-static for resume

Revision 1.3  2006/02/22 23:09:41  arekm
- fix md5

Revision 1.2  2006/02/22 22:08:03  arekm
- use project name instead of s2ram

Revision 1.1  2006/02/22 21:57:06  arekm
- new, userspace tools for in-kernel suspend to ram and suspend to disk.
